Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Class CommandManagerEvent

    java.lang.Object
      org.eclipse.ui.commands.CommandManagerEvent

public final class CommandManagerEvent
extends Object

An instance of this class describes changes to an instance of `ICommandManager`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ICommandManagerListener.commandManagerChanged(CommandManagerEvent)`

Constructor Summary
`CommandManagerEvent(ICommandManager commandManager, boolean activeContextIdsChanged, boolean activeKeyConfigurationIdChanged, boolean activeLocaleChanged, boolean activePlatformChanged, boolean definedCategoryIdsChanged, boolean definedCommandIdsChanged, boolean definedKeyConfigurationIdsChanged, Set previouslyDefinedCategoryIds, Set previouslyDefinedCommandIds, Set previouslyDefinedKeyConfigurationIds)` Creates a new instance of this class.

Method Summary
`ICommandManager` | `getCommandManager()` Returns the instance of the interface that changed.
`Set` | `getPreviouslyDefinedCategoryIds()` Returns the set of identifiers to previously defined categories.
`Set` | `getPreviouslyDefinedCommandIds()` Returns the set of identifiers to previously defined commands.
`Set` | `getPreviouslyDefinedKeyConfigurationIds()` Returns the set of identifiers to previously defined key conigurations.
`boolean` | `hasActiveKeyConfigurationIdChanged()` Returns whether or not the activeKeyConfigurationId property changed.
`boolean` | `hasActiveLocaleChanged()` Returns whether or not the activeLocale property changed.
`boolean` | `hasActivePlatformChanged()` Returns whether or not the activePlatform property changed.
`boolean` | `haveActiveContextIdsChanged()` Returns whether or not the activeContextIds property changed.
`boolean` | `haveDefinedCategoryIdsChanged()` Returns whether or not the definedCategoryIds property changed.
`boolean` | `haveDefinedCommandIdsChanged()` Returns whether or not the definedCommandIds property changed.
`boolean` | `haveDefinedKeyConfigurationIdsChanged()` Returns whether or not the definedKeyConfigurationIds property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandManagerEvent

    public CommandManagerEvent(ICommandManager commandManager,
                               boolean activeContextIdsChanged,
                               boolean activeKeyConfigurationIdChanged,
                               boolean activeLocaleChanged,
                               boolean activePlatformChanged,
                               boolean definedCategoryIdsChanged,
                               boolean definedCommandIdsChanged,
                               boolean definedKeyConfigurationIdsChanged,
                               Set previouslyDefinedCategoryIds,
                               Set previouslyDefinedCommandIds,
                               Set previouslyDefinedKeyConfigurationIds)

  Creates a new instance of this class.

Parameters:
  `commandManager` - the instance of the interface that changed.
  `activeContextIdsChanged` - true, iff the activeContextIdsChanged property changed.
  `activeKeyConfigurationIdChanged` - true, iff the activeKeyConfigurationIdChanged property changed.
  `activeLocaleChanged` - true, iff the activeLocaleChanged property changed.
  `activePlatformChanged` - true, iff the activePlatformChanged property changed.
  `definedCategoryIdsChanged` - true, iff the definedCategoryIdsChanged property changed.
  `definedCommandIdsChanged` - true, iff the definedCommandIdsChanged property changed.
  `definedKeyConfigurationIdsChanged` - true, iff the definedKeyConfigurationIdsChanged property changed.
  `previouslyDefinedCategoryIds` - the set of identifiers to previously defined categories. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedCategoryIdsChanged is `false` and must not be null if definedCategoryIdsChanged is `true`.
  `previouslyDefinedCommandIds` - the set of identifiers to previously defined commands. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedCommandIdsChanged is `false` and must not be null if definedContextIdsChanged is `true`.
  `previouslyDefinedKeyConfigurationIds` - the set of identifiers to previously defined key configurations. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedKeyConfigurationIdsChanged is `false` and must not be null if definedKeyConfigurationIdsChanged is `true`.

Method Detail

### getCommandManager

    public ICommandManager getCommandManager()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### getPreviouslyDefinedCategoryIds

    public Set getPreviouslyDefinedCategoryIds()

  Returns the set of identifiers to previously defined categories.

  Returns:
    the set of identifiers to previously defined categories. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedCategoryIdsChanged() is `false` and is guaranteed to not be null if haveDefinedCategoryIdsChanged() is `true`.

### getPreviouslyDefinedCommandIds

    public Set getPreviouslyDefinedCommandIds()

  Returns the set of identifiers to previously defined commands.

  Returns:
    the set of identifiers to previously defined commands. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedCommandIdsChanged() is `false` and is guaranteed to not be null if haveDefinedCommandIdsChanged() is `true`.

### getPreviouslyDefinedKeyConfigurationIds

    public Set getPreviouslyDefinedKeyConfigurationIds()

  Returns the set of identifiers to previously defined key conigurations.

  Returns:
    the set of identifiers to previously defined key configurations. This set may be empty. If this set is not empty, it is guaranteed to only contain instances of `String`. This set is guaranteed to be `null` if haveDefinedKeyConfigurationIdsChanged() is `false` and is guaranteed to not be null if haveDefinedKeyConfigurationIdsChanged() is `true`.

### hasActiveKeyConfigurationIdChanged

    public boolean hasActiveKeyConfigurationIdChanged()

  Returns whether or not the activeKeyConfigurationId property changed.

  Returns:
    true, iff the activeKeyConfigurationId property changed.

### hasActiveLocaleChanged

    public boolean hasActiveLocaleChanged()

  Returns whether or not the activeLocale property changed.

  Returns:
    true, iff the activeLocale property changed.

### hasActivePlatformChanged

    public boolean hasActivePlatformChanged()

  Returns whether or not the activePlatform property changed.

  Returns:
    true, iff the activePlatform property changed.

### haveActiveContextIdsChanged

    public boolean haveActiveContextIdsChanged()

  Returns whether or not the activeContextIds property changed.

  Returns:
    true, iff the activeContextIds property changed.

### haveDefinedCategoryIdsChanged

    public boolean haveDefinedCategoryIdsChanged()

  Returns whether or not the definedCategoryIds property changed.

  Returns:
    true, iff the definedCategoryIds property changed.

### haveDefinedCommandIdsChanged

    public boolean haveDefinedCommandIdsChanged()

  Returns whether or not the definedCommandIds property changed.

  Returns:
    true, iff the definedCommandIds property changed.

### haveDefinedKeyConfigurationIdsChanged

    public boolean haveDefinedKeyConfigurationIdsChanged()

  Returns whether or not the definedKeyConfigurationIds property changed.

  Returns:
    true, iff the definedKeyConfigurationIds property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.